package org.wsi.scm.test;

import org.wsi.scm.util.Constants;
import org.wsi.scm.util.ServiceLocator;
import org.wsi.scm.core.ejb.*;

public class InventoryBeanTest extends AbstractTest
{
	public String getTestName() {
		return "InventoryBeanTest";
	}

	public String getDescription() {
		return "Test prodcution run updating table to max value.";
	}

	public void doTest() throws Exception {
		
		InventoryLocalHome inventoryHome =
			(InventoryLocalHome) ServiceLocator.getInstance().getLocalHome(
				Constants.ENTITY_INVENTORY);
		// for each line item in the purchase order we first check to see if 
		// we have enough in our inventory. 
					
		InventoryLocal inventory = 
				inventoryHome.findByNameAndID("A", new Long(605001));	
		inventory.setStocklevel(inventory.getMaxlevel());
		inventory.setUpdated(new java.sql.Timestamp(System.currentTimeMillis()));
				
	}
}
