package org.wsi.scm.test;

import org.wsi.scm.core.ejb.DemoSystemLocal;
import org.wsi.scm.core.ejb.DemoSystemLocalHome;
import org.wsi.scm.util.Constants;
import org.wsi.scm.util.ServiceLocator;


public class DemoSystemTest extends AbstractTest
{
	public String getTestName() {
		return "DemoSystemTest";
	}
	
	public String getDescription() {
		return "This tests the demo system bean getConfigurationOptions method.";
	}
	
	public void doTest() throws Exception
	{
		DemoSystemLocalHome demoSysHome =
			(DemoSystemLocalHome) ServiceLocator.getInstance().getLocalHome(
				Constants.SESSION_DEMOSYSTEM);
				
		DemoSystemLocal demoSys = demoSysHome.create();
		
		demoSys.getConfigurationOptions(false);			
	}
}
