package org.wsi.scm.test;


import org.wsi.scm.core.bo.retailer.CatalogType;
import org.wsi.scm.core.ejb.RetailerSystemLocal;
import org.wsi.scm.core.ejb.RetailerSystemLocalHome;
import org.wsi.scm.util.Constants;
import org.wsi.scm.util.ServiceLocator;


public class RetailerBeanTest extends AbstractTest
{
	
	public String getTestName() {
		return "RetailerBeanTest";
	}
	
	public String getDescription() {
		return "Test of the retailer getCatalog service";
	}
	
	public void doTest() throws Exception
	{
		RetailerSystemLocalHome retSysHome =
			(RetailerSystemLocalHome) ServiceLocator.getInstance().getLocalHome(
				Constants.SESSION_RETAILERSYSTEM);
				
		RetailerSystemLocal retSys = retSysHome.create();
		
		CatalogType catalog = retSys.getCatalog();			
		
		
	}

}
